%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   Sysadm-Install
%define modv   0.36
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       A Perl module for typical installation tasks
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/M/MS/MSCHILLI/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Michael Schilli <m@perlmeister.com>
Provides:      perl(Sysadm::Install) = %{modv}
Requires:      perl(:MODULE_COMPAT_%{perl_version})
Requires:      perl(Encode)
BuildRequires: perl >= 5.6
BuildRequires: perl(Archive::Tar)
BuildRequires: perl(Cwd)
BuildRequires: perl(Encode)
BuildRequires: perl(Expect)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Log::Log4perl) >= 1.28
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(Term::ReadKey)
BuildRequires: perl(Test::More)
BuildArch:     noarch


%description
Sysadm::Install handles installation tasks for system administrators. It
runs shell-like typical commands like copying files, extracting tarballs,
calling make. It has a fail once and die policy, meticulously checking the
result of every operation and calling die() immediatly if anything fails.
It also provides a dry_run mode, in which it logs everything, but suppresses
any write actions, and a confirm mode, in which it interactively asks the
user before running any of its functions.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes README
%{_bindir}/one-liner
%{perl_vendorlib}/%{modp}
%{_mandir}/man3/*.3*


%changelog
* Fri May 20 2011 Peter Pramberger <peterpramb@member.fsf.org> - 0.36-1
- New version (0.36)

* Tue Nov 23 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.35-1
- New version (0.35)

* Fri Jun 26 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.28-1
- Initial build
